package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;

import java.util.List;


/**
 * 试验-学科对象 t_study_subject
 *
 * @author hxhq
 * @date 2025-12-29
 */
@TableName("t_study_subject")
public class StudySubject extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 所属试验 */
    private Long studyId;

    /** 所属学科 */
    private Long deptId;

    /** 学科名称 */
    private String deptName;

    /** 学科简称 */
    private String deptJc;

    /** 负责人id */
    private Long leader;

    /** 负责人姓名 */
    private String leaderName;

    /** 负责人姓名-英文 */
    private String leaderNameEn;

    /**
     * 是否选中
     */
    @TableField(exist = false)
    private Boolean select;

    /**
     * 设置的用户id列表
     */
    @TableField(exist = false)
    private List<Long> userIdList;


    public void setStudyId(Long studyId)
    {
        this.studyId = studyId;
    }

    public Long getStudyId()
    {
        return studyId;
    }

    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }

    public String getDeptJc() {
        return deptJc;
    }

    public void setDeptJc(String deptJc) {
        this.deptJc = deptJc;
    }

    public void setLeader(Long leader)
    {
        this.leader = leader;
    }

    public Long getLeader()
    {
        return leader;
    }

    public void setLeaderName(String leaderName)
    {
        this.leaderName = leaderName;
    }

    public String getLeaderName()
    {
        return leaderName;
    }

    public String getLeaderNameEn() {
        return leaderNameEn;
    }

    public void setLeaderNameEn(String leaderNameEn) {
        this.leaderNameEn = leaderNameEn;
    }

    public Boolean getSelect() {
        return select;
    }

    public void setSelect(Boolean select) {
        this.select = select;
    }

    public List<Long> getUserIdList() {
        return userIdList;
    }

    public void setUserIdList(List<Long> userIdList) {
        this.userIdList = userIdList;
    }
}
